> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user bundle progress for all bundles 

> Get user bundle progress for all bundles. Use this to get their progress and completion data.

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 120 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-user-all-bundle-progress
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-user-all-bundle-progress:
    post:
      tags:
        - Analytics
      summary: 'Get user bundle progress for all bundles '
      description: >-
        Get user bundle progress for all bundles. Use this to get their progress
        and completion data.


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 120 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          filterData:
                            type: object
                            properties:
                              maximumBundleProgress:
                                type: number
                                minimum: 0
                                maximum: 100
                              minimumBundleProgress:
                                type: number
                                minimum: 0
                                maximum: 100
                            description: Pass down optional filters to filter out results
                          userIdentifier:
                            anyOf:
                              - type: object
                                properties:
                                  type:
                                    type: string
                                    enum:
                                      - email
                                  email:
                                    type: string
                                    format: email
                                    description: User email
                                required:
                                  - type
                                  - email
                              - type: object
                                properties:
                                  type:
                                    type: string
                                    enum:
                                      - user-id
                                  userId:
                                    type: string
                                    description: >-
                                      User ID. Pass the same user ID that you
                                      used to create this user
                                required:
                                  - type
                                  - userId
                        required:
                          - userIdentifier
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                bundleData:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      title:
                                        type: string
                                        description: Bundle title
                                      completionPercentageOutOf100:
                                        type: number
                                        description: Bundle completion percentage out of 100
                                      enrolledAt:
                                        type: string
                                        format: date-time
                                      items:
                                        type: array
                                        items:
                                          anyOf:
                                            - type: object
                                              properties:
                                                expectedCourseCompletionTimeInDays:
                                                  anyOf:
                                                    - type: number
                                                    - nullable: true
                                                    - nullable: true
                                                  description: Expected course completion time in days
                                                completionPercentageOutOf100:
                                                  type: number
                                                  description: Course completion percentage out of 100
                                                fermionDigitalProductId:
                                                  type: string
                                                  description: Fermion digital product ID of the item
                                                type:
                                                  type: string
                                                  enum:
                                                    - FermionCourse
                                                  description: Type of the item in bundle
                                              required:
                                                - expectedCourseCompletionTimeInDays
                                                - completionPercentageOutOf100
                                                - fermionDigitalProductId
                                                - type
                                            - type: object
                                              properties:
                                                fermionDigitalProductId:
                                                  type: string
                                                  description: Fermion digital product ID of the item
                                                type:
                                                  type: string
                                                  enum:
                                                    - FermionContest
                                                    - LiveEventProduct
                                                    - Ebook
                                                    - DownloadableProduct
                                                  description: Type of the item in bundle
                                              required:
                                                - fermionDigitalProductId
                                                - type
                                        description: List of items included in the bundle
                                    required:
                                      - title
                                      - completionPercentageOutOf100
                                      - enrolledAt
                                      - items
                                    description: Course bundle data
                              required:
                                - bundleData
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````